Kopano Groupware Core 8.7.3 Final Available


  • Kopano

    @dw2412 said in Kopano Groupware Core 8.7.3 Final Available:

    @Joost said in Kopano Groupware Core 8.7.3 Final Available:

    There is no need to replace them.

    Just if you’ve updated with the wrong packages, got the kopano-archiver package removed and want to reinstall kopano-archiver…

    Ah, yes. If kopano-archiver got removed and other packages got upgraded to 8.7.3.0+30.1, then there could be an issue with reinstalling kopano-archiver.
    I would recommend downgrading to 8.7.3.0+3.1 in that case instead of removing/reinstalling the packages.


  • Kopano

    @thctlo said in Kopano Groupware Core 8.7.3 Final Available:

    The order in sub chapters is that also the preferred install method?
    As in, is this now preffered to setup kopano-kconnectd ?

    As with everything else you should only install components that you want to make use of. So if you want to use our rest api and konnect (because you are using meet for example) then yes you should install it.



  • I updated my own system to 8.7.3.0, unfortunately dagent and spooler rises an python exception:

    journalctl output:
    Jun 20 19:26:32 icc-zarafa kopano-dagent[1228]: Python threw an exception:
    Jun 20 19:26:32 icc-zarafa kopano-dagent[1228]: TypeError: init() takes exactly 3 arguments (2 given)
    Jun 20 19:26:33 icc-zarafa kopano-dagent[1228]: Python threw an exception:
    Jun 20 19:26:33 icc-zarafa kopano-dagent[1228]: TypeError: init() takes exactly 3 arguments (2 given)

    dagent.log:
    Thu Jun 20 19:28:31 2019: [notice ] Resolved recipient xxxxxxx.xxxx@yyyyyy.com as user XXXX
    Thu Jun 20 19:28:31 2019: [info ] Python traceback is on stderr (possibly check journalctl instead of logfile)
    Thu Jun 20 19:28:31 2019: [crit ] K-1731: Unable to initialize the dagent plugin manager: Unknown error code (1).

    Environment: SLES 12 Sp3 with all patches

    Spooler and Dagent can’t transport any mails, so my mail system is down!

    Any Ideas how to solve this problem?

    Walter


  • Kopano

    Hello @WalterHof,

    if you are experiencing an issue that impacts your ability to run Kopano I would always suggest to get in direct contact with our support. For these cases there is for example a phone number in the auto reply after the initial ticket creation.

    The easiest way out of this I see would be to simply disable the python plugin framework in spooler and dagent:

    ##############################################################
    # DAGENT PLUGIN SETTINGS
    
    # Enable the dagent plugin framework
    #plugin_enabled = no
    

    Please get in touch with our support to follow this up.



  • I already opened a support case but there is no response from support.



  • Felix,

    The SUSE packages are incomplete and therefore unusable. The Python files for the plugin Manager and Plugins are missing.
    This proves that the QS at Kopano does not work. The SUSE packages were not tested. Because of the missing Python files, you can not even send yourself an email, at least that, the QS would have noticed.

    Walter


  • Kopano

    Hi @WalterHof,

    for minor releases we are just doing a sampling of individual distributions (one deb one rpm) instead of doing a whole OS and platform qa. Seems inside of the Sles distribution a bit more changed than we anticipated, we’ll have another look at it.



  • After Upgrading my server from 8.7.1 to 8.7.1 the server is not starting anymore.

    Jul 16 13:05:46 kopano systemd[1]: Started Kopano Groupware Core Storage Server.
    Jul 16 13:05:46 kopano kopano-server[32044]: /usr/sbin/kopano-server: /usr/lib/x86_64-linux-gnu/libkcsoap.so.0: version `KC_8.7.3' not found (required by /usr/sbin/kopano-server)
    Jul 16 13:05:46 kopano kopano-server[32044]: /usr/sbin/kopano-server: /usr/lib/x86_64-linux-gnu/libkcserver.so.0: version `KC_8.7.3' not found (required by /usr/sbin/kopano-server)
    Jul 16 13:05:46 kopano kopano-server[32044]: /usr/sbin/kopano-server: /usr/lib/x86_64-linux-gnu/libkcutil.so.0: version `KC_8.7.1' not found (required by /usr/lib/x86_64-linux-gnu/libkcserver.s
    Jul 16 13:05:46 kopano kopano-server[32044]: /usr/sbin/kopano-server: /usr/lib/x86_64-linux-gnu/libkcutil.so.0: version `KC_8.7.1' not found (required by /usr/lib/x86_64-linux-gnu/libkcsoap.so.
    Jul 16 13:05:46 kopano systemd[1]: kopano-server.service: Main process exited, code=exited, status=1/FAILURE
    Jul 16 13:05:46 kopano systemd[1]: kopano-server.service: Unit entered failed state.
    Jul 16 13:05:46 kopano systemd[1]: kopano-server.service: Failed with result 'exit-code'.
    
    


  • Which OS you use?



  • @arndtw Did the update really finish completely? It looks for me as if some of the lib packages got updates, other part did not…

    Andreas


Log in to reply